Package org.apache.ignite.internal.processors.cache

## Class GridCacheValueCollection<K,​V>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - org.apache.ignite.internal.util.GridSerializableCollection<V>
    - - org.apache.ignite.internal.processors.cache.GridCacheValueCollection<K,​V>

All Implemented Interfaces:
  `Serializable`, `Iterable<V>`, `Collection<V>`

    public class GridCacheValueCollection<K,​V>
    extends GridSerializableCollection<V>

Value collection based on provided entries with all remove operations backed by underlying cache.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`GridCacheValueCollection​(GridCacheContext<K,​V> ctx, Collection<? extends javax.cache.Cache.Entry<K,​V>> c, @Nullable IgnitePredicate<javax.cache.Cache.Entry<K,​V>>[] filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `contains​(Object o)`
`Iterator<V>` `iterator()`
`boolean` `remove​(Object o)`
`int` `size()`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### GridCacheValueCollection

    public GridCacheValueCollection​(GridCacheContext<K,​V> ctx,
                                    Collection<? extends javax.cache.Cache.Entry<K,​V>> c,
                                    @Nullable
                                    @Nullable IgnitePredicate<javax.cache.Cache.Entry<K,​V>>[] filter)

Parameters:
  `ctx` - Cache context.
  `c` - Entry collection.
  `filter` - Filter.

### Method Detail

#### iterator

    public Iterator<V> iterator()

Specified by:
  `iterator` in interface `Collection<K>`
Specified by:
  `iterator` in interface `Iterable<K>`
Specified by:
  `iterator` in class `AbstractCollection<V>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<K>`
Overrides:
  `clear` in class `AbstractCollection<V>`

#### remove

    public boolean remove​(Object o)

Specified by:
  `remove` in interface `Collection<K>`
Overrides:
  `remove` in class `AbstractCollection<V>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<K>`
Specified by:
  `size` in class `AbstractCollection<V>`

#### contains

    public boolean contains​(Object o)

Specified by:
  `contains` in interface `Collection<K>`
Overrides:
  `contains` in class `AbstractCollection<V>`